/*
 * Created on 15.04.2005 by Daniel Hohenberger.
 */
package de.hd42.itemlister;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Strings {
	//private static final String BUNDLE_NAME = "de.hd42.itemlister.itemlister"; //$NON-NLS-1$
	private static final String BUNDLE_NAME = "format"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

	private Strings() {}

	public static String getString(String key) {
		try{
			return RESOURCE_BUNDLE.getString(key);
		}catch(MissingResourceException e){
			return '!' + key + '!';
		}
	}
}
